<?php

namespace TC\PaygateRuKassa;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1()
	{
		$db = $this->db();

		$db->insert('xf_payment_provider', [
			'provider_id'    => 'tcRuKassa',
			'provider_class' => 'TC\\PaygateRuKassa:RuKassa',
			'addon_id'       => 'TC/PaygateRuKassa'
		]);
	}

	public function uninstallStep1()
	{
		$this->db()->delete('xf_payment_provider', "provider_id = 'tcRuKassa'");
	}
}